use crate::{
    datatypes::{angle::Angle, length::Length},
    turtle::TurtleCommand,
};

#[allow(dead_code)]
pub fn geometry_task() -> Vec<TurtleCommand> {
    let mut before = vec![
        TurtleCommand::Forward(Length(100.)),
        TurtleCommand::Right(Angle::degrees(90.)),
        TurtleCommand::Backward(Length(100.)),
        TurtleCommand::Right(Angle::degrees(90.)),
        TurtleCommand::Forward(Length(100.)),
        TurtleCommand::Right(Angle::degrees(45.)),
    ];
    for _ in 0..10 {
        let mut dash = vec![
            TurtleCommand::PenUp,
            TurtleCommand::Forward(Length(5.)),
            TurtleCommand::PenDown,
            TurtleCommand::Forward(Length(5.)),
        ];
        before.append(&mut dash);
    }
    let mut after = vec![
        TurtleCommand::Right(Angle::degrees(90.)),
        TurtleCommand::Forward(Length(50.)),
        TurtleCommand::Right(Angle::degrees(90.)),
        TurtleCommand::Forward(Length(100.)),
        TurtleCommand::Right(Angle::degrees(90.)),
        TurtleCommand::Forward(Length(50.)),
        TurtleCommand::Right(Angle::degrees(45.)),
        TurtleCommand::Forward(Length(100.)),
        TurtleCommand::Left(Angle::degrees(120.)),
        TurtleCommand::Forward(Length(100.)),
        TurtleCommand::Left(Angle::degrees(120.)),
        TurtleCommand::Forward(Length(100.)),
        TurtleCommand::Right(Angle::degrees(150.)),
        TurtleCommand::Forward(Length(100.)),
    ];
    before.append(&mut after);
    before
}
