use bevy::prelude::Vec2;

use crate::{datatypes::angle::Angle, turtle::Precision};

pub struct TurtleAction {
    heading: Angle<Precision>,
    position: Vec2,
    primitive: TurtleActionType,
}

pub enum TurtleActionType {
    Straight {
        target: Vec2,
    },
    Rotate {
        angle: Angle<Precision>,
    },
    Circle {
        center: Vec2,
        radii: Vec2,
        extent: Angle<Precision>,
    },
}
