use bevy::prelude::{Color, Transform};

use crate::{
    datatypes::{angle::Angle, Coordinate, Speed, Visibility},
    structs::{DrawState, DrawingSegment},
    turtle::Precision,
};

/// Describing the full state of a turtle.
pub struct TurtleState {
    drawing: Vec<DrawingSegment>,
    position: Coordinate,
    heading: Angle<Precision>,
    color: Color,
    draw_state: DrawState,
    visible: Visibility,
    shape_transform: Transform,
    speed: Speed,
}

impl TurtleState {
    pub fn add_segment(&mut self, seg: DrawingSegment) {
        self.drawing.push(seg);
    }
    pub fn drawing(&self) -> bool {
        self.draw_state == DrawState::PenDown
    }
}
